Cgu::Thread::FutureHelper::WhenWrapperArg< Val > Struct Template Reference

`#include <future.h>`

## Public Member Functions

| WhenWrapperArg (std::unique_ptr< const Cgu::Callback::CallbackArg< const Val & >> &&when_)
| WhenWrapperArg (WhenWrapperArg &&w)

## Public Attributes

std::unique_ptr< const Cgu::Callback::CallbackArg < const Val & > > | when

## Constructor & Destructor Documentation

template<class Val >

Cgu::Thread::FutureHelper::WhenWrapperArg< Val >::WhenWrapperArg | ( | std::unique_ptr< const Cgu::Callback::CallbackArg< const Val & >> && | when_) |  |

inline

template<class Val >

Cgu::Thread::FutureHelper::WhenWrapperArg< Val >::WhenWrapperArg | ( | WhenWrapperArg< Val > && | w) |  |

inline

## Member Data Documentation

template<class Val >

std::unique_ptr<const Cgu::Callback::CallbackArg<const Val&> > Cgu::Thread::FutureHelper::WhenWrapperArg< Val >::when

mutable

The documentation for this struct was generated from the following file:

- future.h